Obiettivi
GET https://oohbe.com/api/goals/
curl --request GET \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Facoltativo Intero | |
| type | Facoltativo String | Valori consentiti: pageview, custom |
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name, path, key. |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo String | Data inizio |
| datetime_end | Facoltativo String | Data fine |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: goal_id, last_datetime, datetime, name, path, key. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-07-01 19:42:01",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/goals?page=1",
"last": "https://oohbe.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/goals?page=1"
}
}
GET https://oohbe.com/api/goals/{goal_id}
curl --request GET \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-07-01 19:42:01",
"last_datetime": null
}
}
POST https://oohbe.com/api/goals
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Richiesto Intero | - |
| type | Richiesto String | Valori consentiti: pageview, custom |
| name | Richiesto String | - |
| path | Facoltativo String | Disponibile quando: type = pageview |
| key | Facoltativo String | - |
curl --request POST \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-07-01 19:42:01' \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-07-01 19:42:01' \
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/goals/{goal_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Facoltativo Intero | - |
| type | Facoltativo String | Valori consentiti: pageview, custom |
| name | Facoltativo String | - |
| path | Facoltativo String | Disponibile quando: type = pageview |
| key | Facoltativo String | - |
curl --request POST \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \